Bug 1475962 - Review Request: libva-intel-hybrid-driver - VA driver for Intel G45 & HD Graphics family
Review Request: libva-intel-hybrid-driver - VA driver for Intel G45 & HD Grap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2017-07-27 11:58 EDT by Robert-André Mauchin
Modified: 2017-08-31 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-31 10:57:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Robert-André Mauchin 2017-07-27 11:58:22 EDT
SPEC: https://github.com/eclipseo/packaging/blob/c7892da/libva-intel-hybrid-driver.spec
SRPM: https://copr-be.cloud.fedoraproject.org/results/eclipseo/libva-intel-hybrid-driver/fedora-rawhide-x86_64/00584119-libva-intel-hybrid-driver/libva-intel-hybrid-driver-1.0.2-3.fc27.src.rpm

Description: libva-intel-hybrid-driver is the VA-API implementation for Intel G45 chipsets and Intel HD Graphics for Intel Core processor family.

This actually enables hardware acceleration for VP9 videos on Skylake and Kabylake architecture. It need a slight update from libva-intel-driver for it to work, I will contact the maintainer.

FAS username: eclipseo


I am looking for a sponsorship, please consider me.

Thanks.
Comment 3 c72578 2017-08-18 03:40:50 EDT
Here are some comments concerning the spec file:

- license: Please check the license, see lisensecheck.txt from fedora-review for details
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "BSD (3 clause)", "NTP (legal
     disclaimer)", "Unknown or generated". 193 files have unknown license.
     Detailed output of licensecheck in
     1475962-libva-intel-hybrid-driver/licensecheck.txt
- Comment about patch0, what it does
- A file like AUTHORS is usually under %doc, not %license
- Please add an empty line after each changelog entry
Comment 5 Nicolas Chauvet (kwizart) 2017-08-18 06:58:05 EDT
@Robert-André
What do you mean by libva-intel-driver needs an update ?
Is this package usable without libva-intel-driver ?

I also wonder if this is still maintained ?

Is there a package for pkgconfig(libcmrt) ?

Can you provide an output of vainfo with this package installed ?
Comment 6 Nicolas Chauvet (kwizart) 2017-08-18 06:59:38 EDT
You need to remove the %post/%postun ldconfig calls, the library is meant to be dlopened. So not available wrong from the system linker.
Comment 7 Nicolas Chauvet (kwizart) 2017-08-18 07:01:41 EDT
Not available "from" the system linker (sorry for the typo).
Comment 8 Robert-André Mauchin 2017-08-18 07:09:58 EDT
>What do you mean by libva-intel-driver needs an update ?

You need to flip a switch in the build process:

%configure --disable-static --enable-hybrid-codec

cf my copr https://copr-be.cloud.fedoraproject.org/results/eclipseo/libva-intel-hybrid-driver/fedora-rawhide-x86_64/00581414-libva-intel-driver/libva-intel-driver.spec

There's no need to add a dependecy to this package, but a Recommends would be nice I guess.

>Is there a package for pkgconfig(libcmrt) ?

Yes I packaged it https://src.fedoraproject.org/rpms/cmrt


>You need to remove the %post/%postun ldconfig calls, the library is meant to be dlopened.

Okay
Comment 10 Antonio Trande 2017-08-18 13:02:39 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

NTP license looks not listed among that 'Good for Fedora' (https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Software_License_List)
Need Fedora-Legal review.

/* 
 * Copyright © 2008-2011 Kristian Høgsberg
 * Copyright © 2010-2011 Intel Corporation
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that\n the above copyright notice appear in
 * all copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of
 * the copyright holders not be used in advertising or publicity
 * pertaining to distribution of the software without specific,
 * written prior permission.  The copyright holders make no
 * representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty.
 * 
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS, IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
 * THIS SOFTWARE.
 */

However, source files released with NTP are not involved during compilation and we don't need list it with License tag.

- Please, Make must be verbose; add V=1 to %make_build


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "BSD (3 clause)", "NTP (legal
     disclaimer)", "Unknown or generated". 193 files have unknown license.
     Detailed output of licensecheck in /home/sagitter/1475962-libva-intel-
     hybrid-driver/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libva-
     intel-hybrid-driver-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libva-intel-hybrid-driver-1.0.2-4.fc27.x86_64.rpm
          libva-intel-hybrid-driver-debuginfo-1.0.2-4.fc27.x86_64.rpm
          libva-intel-hybrid-driver-1.0.2-4.fc27.src.rpm
libva-intel-hybrid-driver.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
libva-intel-hybrid-driver.x86_64: W: invalid-license BSD an NTP
libva-intel-hybrid-driver.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libva-intel-hybrid-driver.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
libva-intel-hybrid-driver-debuginfo.x86_64: W: invalid-license BSD an NTP
libva-intel-hybrid-driver-debuginfo.x86_64: E: debuginfo-without-sources
libva-intel-hybrid-driver.src: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
libva-intel-hybrid-driver.src: W: invalid-license BSD an NTP
3 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libva-intel-hybrid-driver-debuginfo-1.0.2-4.fc27.x86_64.rpm
libva-intel-hybrid-driver-debuginfo.x86_64: W: invalid-license BSD an NTP
libva-intel-hybrid-driver-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libva-intel-hybrid-driver-debuginfo.x86_64: W: invalid-license BSD an NTP
libva-intel-hybrid-driver-debuginfo.x86_64: E: debuginfo-without-sources
libva-intel-hybrid-driver.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
libva-intel-hybrid-driver.x86_64: W: invalid-license BSD an NTP
2 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
libva-intel-hybrid-driver-debuginfo (rpmlib, GLIBC filtered):

libva-intel-hybrid-driver (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcmrt.so.1()(64bit)
    libdl.so.2()(64bit)
    libdrm.so.2()(64bit)
    libdrm_intel.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libva.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
libva-intel-hybrid-driver-debuginfo:
    debuginfo(build-id)
    libva-intel-hybrid-driver-debuginfo
    libva-intel-hybrid-driver-debuginfo(x86-64)

libva-intel-hybrid-driver:
    libva-intel-hybrid-driver
    libva-intel-hybrid-driver(x86-64)



Unversioned so-files
--------------------
libva-intel-hybrid-driver: /usr/lib64/dri/hybrid_drv_video.so

Source checksums
----------------
https://github.com/01org/intel-hybrid-driver/archive/1.0.2/libva-intel-hybrid-driver-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 16cd66872e8043ce6c0e9a016a043c460e8a180fdc520f31c1f97ffef7828d7b
  CHECKSUM(SHA256) upstream package : 16cd66872e8043ce6c0e9a016a043c460e8a180fdc520f31c1f97ffef7828d7b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1475962
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 11 Robert-André Mauchin 2017-08-18 13:08:37 EDT
It's a MIT type license. More close to a BSD Clause 3 with the no advertising part.
Comment 12 Robert-André Mauchin 2017-08-18 13:12:50 EDT
See https://fedoraproject.org/wiki/Licensing:MIT#Old_Style_with_legal_disclaimer 
It's the same text.
Comment 13 Antonio Trande 2017-08-19 14:32:49 EDT
(In reply to Robert-André Mauchin from comment #11)
> It's a MIT type license. More close to a BSD Clause 3 with the no
> advertising part.

Okay.
Package approved.
Comment 14 Robert-André Mauchin 2017-08-19 14:51:54 EDT
Thank you for your review!
Comment 15 Gwyn Ciesla 2017-08-19 16:16:00 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libva-intel-hybrid-driver
Comment 16 Fedora Update System 2017-08-22 09:06:52 EDT
libva-intel-hybrid-driver-1.0.2-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0441bf5e85
Comment 17 Fedora Update System 2017-08-23 05:04:12 EDT
libva-intel-hybrid-driver-1.0.2-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0441bf5e85
Comment 18 Fedora Update System 2017-08-31 10:57:14 EDT
libva-intel-hybrid-driver-1.0.2-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.